> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Embed the SMS template editor



## OpenAPI

````yaml /openapi.json get /sms_template_embeds/{id}/show
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /sms_template_embeds/{id}/show:
    get:
      tags:
        - Sms template embeds
      summary: Embed the SMS template editor
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the SMS template embed
          required: true
        - in: query
          name: hide_top_bar
          schema:
            type: boolean
          description: Whether to hide the top bar when embedding the SMS template editor
          required: false
        - in: query
          name: hide_buttons
          schema:
            type: boolean
          description: Whether to hide all buttons when embedding the SMS template editor
          required: false
        - in: query
          name: hide_save_button
          schema:
            type: boolean
          description: >-
            Whether to hide the "Save" button when embedding the SMS template
            editor
          required: false
      responses:
        '200':
          description: >-
            The embeddable HTML that will render a UI for editing the SMS
            template
          content:
            text/html:
              schema:
                type: string
      security: []
components:
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````